<html lang="en">
<head>
<title>Definitions - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Input-language.html#Input-language" title="Input language">
<link rel="prev" href="Drawables.html#Drawables" title="Drawables">
<link rel="next" href="Global-environment.html#Global-environment" title="Global environment">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Definitions"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Global-environment.html#Global-environment">Global environment</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Drawables.html#Drawables">Drawables</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Input-language.html#Input-language">Input language</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">3.3 Definitions</h3>

<p><a name="index-definition-335"></a>Definitions give names to <code>sketch</code> objects.  Definitions alone
are benign.  A <code>sketch</code> input file consisting entirely of
definitions will generate no drawing.  Only when definitions are
<dfn>referenced</dfn> do they potentially lead to ink on the drawing.

   <p>The intent of definitions is to make <code>sketch</code> code more concise
and readable.  There is no input file employing definitions
that could not be re-written without them.

   <p>Definable objects include any result of an affine arithmetic
expression (scalar, point, vector, or transform), any drawable
object (dots, line, curve, polygon, block, sweep, put, repeat, or
special), and option strings.  In addition, <dfn>tag definitions</dfn>,
<a name="index-definition_002c-tag-336"></a><a name="index-tag-definition-337"></a>which have no associated object at all, allow the meaning of other
definitions to be selected from a set of alternatives. Since tags may
be defined (and undefined) in the command line of <code>sketch</code>, they
can be an aid in the script-driven preparation of documents.

<ul class="menu">
<li><a accesskey="1" href="Forms-of-definitions.html#Forms-of-definitions">Forms of definitions</a>:         Different defs for different purposes. 
<li><a accesskey="2" href="Forms-of-references.html#Forms-of-references">Forms of references</a>:          How references denote types. 
</ul>

   </body></html>

